Bug 1470246 (CVE-2017-10970) - CVE-2017-10970 cacti: XSS in link.php
Summary: CVE-2017-10970 cacti: XSS in link.php
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-10970
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1470247 1470248
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-12 15:14 UTC by Andrej Nemec
Modified: 2019-09-29 14:16 UTC (History)
2 users (show)

Fixed In Version: cacti 1.1.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:16:24 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-07-12 15:14:18 UTC
Cross-site scripting (XSS) vulnerability in link.php in Cacti 1.1.12 allows remote anonymous users to inject arbitrary web script or HTML via the id parameter, related to the die_html_input_error function in lib/html_validate.php.

Upstream issue:

https://github.com/Cacti/cacti/issues/838

Upstream patch:

https://github.com/Cacti/cacti/commit/3381cba6a9e36b01ed0ab0acfd41b00487966cb5

Comment 1 Andrej Nemec 2017-07-12 15:14:52 UTC
Created cacti tracking bugs for this issue:

Affects: epel-all [bug 1470248]
Affects: fedora-all [bug 1470247]

Comment 2 Product Security DevOps Team 2019-06-08 03:16:24 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.